<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2002-2016 iterate GmbH. All rights reserved.
  ~ https://cyberduck.io/
  ~
  ~ This program is free software; you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation; either version 2 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>parent</artifactId>
        <groupId>ch.cyberduck</groupId>
        <version>6.0.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>Cyberduck.Native</artifactId>
    <packaging>pom</packaging>

    <profiles>
        <profile>
            <id>windows</id>
            <activation>
                <os>
                    <family>Windows</family>
                </os>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-dependency-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>unpack-runtime</id>
                                <phase>generate-sources</phase>
                                <goals>
                                    <goal>unpack</goal>
                                </goals>
                                <configuration>
                                    <artifactItems>
                                        <artifactItem>
                                            <groupId>net.ikvm</groupId>
                                            <artifactId>ikvm</artifactId>
                                            <type>zip</type>
                                            <version>8.1.5717.0.patched</version>
                                        </artifactItem>
                                    </artifactItems>
                                    <outputDirectory>${project.build.directory}</outputDirectory>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <artifactId>maven-antrun-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>run-ant-verify-target</id>
                                <phase>verify</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
                                <configuration>
                                    <tasks>
                                        <property name="home" value="${main.basedir}" />
                                        <property name="version" value="${project.version}" />
                                        <property name="revision" value="${git.commitsCount}" />
                                        <property name="git.revision" value="${git.revision}" />
                                        <ant antfile="${project.basedir}/build.xml" target="verify" dir="." />
                                    </tasks>
                                </configuration>
                            </execution>
                            <execution>
                                <id>run-ant-deploy-target</id>
                                <phase>deploy</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
                                <configuration>
                                    <tasks>
                                        <property name="home" value="${main.basedir}" />
                                        <property name="version" value="${project.version}" />
                                        <property name="revision" value="${git.commitsCount}" />
                                        <property name="git.revision" value="${git.revision}" />
                                        <property name="sparkle.feed" value="${sparkle.feed}" />
                                        <ant antfile="${project.basedir}/build.xml" target="deploy" dir="." />
                                    </tasks>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <id>install-dll</id>
                                <phase>verify</phase>
                                <goals>
                                    <goal>attach-artifact</goal>
                                </goals>
                                <configuration>
                                    <artifacts>
                                        <artifact>
                                            <type>dll</type>
                                            <file>${project.build.directory}/Cyberduck.Native.dll</file>
                                        </artifact>
                                    </artifacts>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
            <dependencies>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Core</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Core.Native</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Protocols</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Bonjour</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Bonjour.Native</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Importer</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ch.cyberduck</groupId>
                    <artifactId>Cyberduck.Cryptomator</artifactId>
                    <type>dll</type>
                    <version>${project.version}</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>objectlistview</groupId>
                    <artifactId>objectlistview</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>2.5.1.35588</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>net.structuremap</groupId>
                    <artifactId>structuremap</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>2.6.1</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>ActiveButtons</groupId>
                    <artifactId>ActiveButtons</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>1.0.1.0.win10</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>WinSparkle</groupId>
                    <artifactId>WinSparkle</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>0.5.x86</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>CustomOpenFileFolderDialog</groupId>
                    <artifactId>CustomOpenFileFolderDialog</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>1.0.0.0</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>com.microsoft</groupId>
                    <artifactId>VistaBridgeLibrary</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>1.4.0.0</version>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>com.microsoft</groupId>
                    <artifactId>Windows7.DesktopIntegration</artifactId>
                    <classifier>native</classifier>
                    <type>dll</type>
                    <version>1.0.0.0</version>
                    <scope>runtime</scope>
                </dependency>
            </dependencies>
        </profile>
    </profiles>

    <dependencies>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>protocols</artifactId>
            <type>pom</type>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>importer</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>cryptomator</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>
</project>